Skip to main content
GET
/
v2
/
workspace-invitations
List invitations with cursor pagination
curl --request GET \
  --url https://api.example.com/v2/workspace-invitations \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "clientId": "<string>",
      "email": "<string>",
      "expiresAt": "<string>",
      "id": "<string>",
      "invitedAt": "<string>",
      "invitedBy": "<string>",
      "role": "<string>",
      "status": "<string>",
      "acceptedAt": "<string>"
    }
  ],
  "hasMore": true,
  "nextCursor": "eyJ2IjoxLCJjcmVhdGVkQXQiOiIyMDI2LTAxLTAxVDAwOjAwOjAwLjAwMFoiLCJpZCI6IjEyM2U0NTY3LWU4OWItNDJkMy1hNDU2LTQyNjYxNDE3NDAwMCJ9",
  "object": "payout.list"
}

Authorizations

Authorization
string
header
required

Enter Auth0 JWT token

Query Parameters

cursor
string

Opaque cursor returned by the previous page

limit
number
default:20

Number of items per page

Required range: 1 <= x <= 100

Response

data
object[]
required
hasMore
boolean
required

Whether more items exist after this page

Example:

true

nextCursor
string | null
required

Opaque cursor for the next page, or null when there are no more items

Example:

"eyJ2IjoxLCJjcmVhdGVkQXQiOiIyMDI2LTAxLTAxVDAwOjAwOjAwLjAwMFoiLCJpZCI6IjEyM2U0NTY3LWU4OWItNDJkMy1hNDU2LTQyNjYxNDE3NDAwMCJ9"

object
enum<string>
required

Stable resource-specific collection discriminator

Available options:
workspace_invitation.list
Pattern: ^[a-z][a-z0-9_]*\.list$
Example:

"payout.list"